package com.nationrel.modules.project.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.nationrel.modules.project.jar.entity.TaskPageModel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Description TODO
 * @Author nijun
 * @Date 2024/10/24 11:18
 * @Version 1.0
 */
@Data
public class PmTaskInfoDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /** tgId */
    private String id;

    /** projectId */
    private String projectId;

    /** tgName */
    private String name;

    /** tgSort */
    private Integer tgSort;

    /** planStartTime */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date planStartTime;

    /** planEndTime */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date planEndTime;

    /** startTime */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startTime;

    /** endTime */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endTime;

    /** percent */
    private BigDecimal percent;

    /** description */
    private String description;

    /** lifeState */
    private String lifeState;

    /** releaseTime */
    private Date releaseTime;

    /** insertTime */
    private Date insertTime;

    /** insertUserId */
    private String insertUserId;

    /** insertPgmId */
    private String insertPgmId;

    /** updateTime */
    private Date updateTime;

    /** updateUserId */
    private String updateUserId;

    /** updatePgmId */
    private String updatePgmId;

    /** versionNo */
    private Integer versionNo;

    /** closeCheckNumber */
    private String closeCheckNumber;

    /** checkNumber */
    private String checkNumber;

    /** deliveryNum */
    private String deliveryNum;

    /** dataType */
    private String dataType;

    /** parentId */
    private String parentId;

    private List<TaskPageModel> childTask;

    private String tgId;

    private Integer staffNumber;

    private String stateName;

    private String wbs;

    private int childrenCount;

}
