// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.dto.input;

import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;
import org.springframework.stereotype.Component;
import org.springframework.web.context.WebApplicationContext;

import java.io.Serializable;

/**
 * @ClassName Rb0101403InitInput
 * @Description 文档查看初始化输入
 * @Author 赵安会
 * @CreateDate 2013-11-06
 * @Version V1.0
 */
@Component
@Scope(value = WebApplicationContext.SCOPE_SESSION,proxyMode = ScopedProxyMode.TARGET_CLASS)
public class Rb0101403InitInput implements Serializable {

    /** @Fields serialVersionUID : 序列ID */
    private static final long serialVersionUID = 1L;
    /** 文档标识 */
    private String documentId;

    /**
     * @return the documentId
     */
    public String getDocumentId() {
        return documentId;
    }

    /**
     * @param documentId the documentId to set
     */
    public void setDocumentId(String documentId) {
        this.documentId = documentId;
    }
}
