package com.nationrel.modules.project.jar.dto.input;

import lombok.Data;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.Date;

/**
 * @version V1.0
 * @ClassName Rb0300142SaveInput
 * @Description 成员编辑保存入参的封装类
 * @Author ted.liu
 * @CreateDate 2013-12-24
 */
@Data
@Component
@Scope("prototype")
public class Rb0300142SaveInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 人员选择类型 项目内: 1 TG内: 2 STEP: 3 TASK: 4
     */
    private Integer selectType;

    /**
     * 选中成员标识
     */
    private String staffId;

    /**
     * 成员角色
     */
    private String roleId;

    /**
     * 添加日期
     */
    private Date startTime;

    private String projectId;
    private String tgId;
    private String taskId;


}
