package com.nationrel.modules.project.jar.dto.input;

import lombok.Data;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300211SaveInput
 * @Description TG创建入参封装类
 * @Author andy
 * @CreateDate 2013-12-17
 */
@Data
@Component
@Scope("prototype")
public class Rb0300211SaveInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * TG 名称
     */
    private String tgName;

    /**
     * 计划开始时间
     */
    private String planStartTime;

    /**
     * 计划结束时间
     */
    private String planEndTime;

    /**
     * tg顺序
     */
    private String gradation;

    /**
     * 描述
     */
    private String description;

    /**
     * 项目ID
     */
    private String projectId;

}
