package com.nationrel.modules.project.jar.dto.input;

import lombok.Data;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300231SaveInput
 * @Description TG检查项保存入参封装类
 * @Author andy
 * @CreateDate 2013-12-18
 */
@Data
@Component
@Scope("prototype")
public class Rb0300231SaveInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 检查项目
     */
    private String object;

    /**
     * 检查内容
     */
    private String content;

    /**
     * 描述
     */
    private String description;

    private String tgId;



}
