package com.nationrel.modules.project.jar.dto.input;

import lombok.Data;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300240InitInput
 * @Description TG成员列表页面初始化入参封装类
 * @Author andy
 * @CreateDate 2013-12-24
 */
@Data
@Component
@Scope("prototype")
public class Rb0300240InitInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;
    /**
     * TG标识
     */
    private String tgId;

    private String projectId;

}
