package com.nationrel.modules.project.jar.dto.input;

import lombok.Data;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300311InitInput
 * @Description 任务创建初始化入参封装类
 * @Author ted.liu
 * @CreateDate 2013-12-18
 */
@Data
@Component
@Scope("prototype")
public class Rb0300311InitInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 上级任务标识
     */
    private String parentTaskId;

    private String tgId;

}
