package com.nationrel.modules.project.jar.service;

import com.nationrel.modules.project.jar.dto.input.Rb0300312InitInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300312InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0300312InitService
 * @Description 任务编辑初始化的业务接口
 * @Author ted.liu
 * @CreateDate 2013-12-18
 */
public interface Rb0300312InitService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 任务编辑初始化的业务方法
     */
    String perform(Rb0300312InitInput input, Rb0300312InitOutput output) throws Exception;
}
