package com.nationrel.modules.project.enums;

import com.nationrel.modules.project.jar.rb_common.common.constant.ReliaFlowConstants;
import org.jeecg.config.i18n.MessageUtils;

public enum StatusEnum {


    CREATE(ReliaFlowConstants.LIFECYCLE_RELIA_PJ_CREATE, "创建"),
    WAIT_INWORK(ReliaFlowConstants.LIFECYCLE_RELIA_PJ_WAIT_INWORK, "工作审批中"),
    IN_WORK(ReliaFlowConstants.LIFECYCLE_RELIA_PJ_INWORK, "工作中"),
    WAIT_COMPLETE(ReliaFlowConstants.LIFECYCLE_RELIA_PJ_WAIT_COMPLETE, "完成审批中"),
    COMPLETE(ReliaFlowConstants.LIFECYCLE_RELIA_PJ_COMPLETE, "完成"),
    WAIT_RELEASE(ReliaFlowConstants.LIFECYCLE_RELIA_PJ_WAIT_RELEASE, "发布审批中"),
    RELEASE(ReliaFlowConstants.LIFECYCLE_RELIA_PJ_RELEASE, "发布"),


    ;

    private String value;

    private String description;

    StatusEnum(String value, String description) {
        this.value = value;
        this.description = description;
    }

    public String getValue() {
        return value;
    }

    public String getDescription() {
        return description;
    }
}
