package com.nationrel.modules.project.jar.dto.input;

import lombok.Data;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300111SaveInput
 * @Description 项目对象编辑入参封装类
 * @Author andy
 * @CreateDate 2013-12-4
 */
@Data
@Component
@Scope("prototype")
public class Rb0300112EditInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 项目标识
     */
    private String projectId;

    /**
     * 项目编号
     */
    private String projectCode;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 项目类型
     */
    private String projectType;

    /**
     * 项目应用
     */
    private String application;

    /**
     * 计划开始时间
     */
    private String planStartTime;

    /**
     * 计划结束时间
     */
    private String planEndTime;

    /**
     * 项目描述
     */
    private String description;

    /**
     * 关联产品
     */
    private String objectName;

    private Integer versionNo;
}
