package com.nationrel.modules.project.jar.dto.input;

import lombok.Data;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300150DeleteInput
 * @Description 项目文档删除初始化入参的封装类
 * @Author andy
 * @CreateDate 2014-01-02
 */
@Data
@Component
@Scope("prototype")
public class Rb0300150DeleteInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 交付Id
     */
    private String deliveryId;

    /**
     * 交付类型
     */
    private String deliveryType;

    private String projectId;

}
