package com.nationrel.modules.project.jar.dto.input;

import lombok.Data;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300150InitInput
 * @Description 项目文档列表页面初始化入参的封装类
 * @Author andy
 * @CreateDate 2013-12-31
 */
@Data
@Component
@Scope("prototype")
public class Rb0300150InitInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    private String projectId;

}
