package com.nationrel.modules.project.jar.dto.input;

import lombok.Data;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300151AddDeliveryInput
 * @Description 任务交付物添加初始化入参的封装类
 * @Author aaron
 * @CreateDate 2014-03-17
 */
@Data
@Component
@Scope("prototype")
public class Rb0300151AddDeliveryInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 项目: 1 tg: 2 任务: 3
     */
    private Integer selectType;

    /**
     * 交付Id
     */
    private String[] deliveryIds;

    private String projectId;
    private String tgId;
    private String taskId;

}
