package com.nationrel.modules.project.jar.dto.input;

import lombok.Data;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300340InitInput
 * @Description 任务成员列表页面初始化入参的封装类
 * @Author andy
 * @CreateDate 2014-01-09
 */
@Data
@Component
@Scope("prototype")
public class Rb0300340InitInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 任务标识
     */
    private String taskId;

    private String projectId;

    private String tgId;

}
