package com.nationrel.modules.project.jar.dto.input;

import lombok.Data;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300350DeleteInput
 * @Description 任务交付删除入参的封装类
 * @Author andy
 * @CreateDate 2014-01-07
 */
@Data
@Component
@Scope("prototype")
public class Rb0300350DeleteInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 交付标识
     */
    private String deliveryId;

    /**
     * 交付类型
     */
    private String deliveryType;

    private String tgId;
    private String taskId;

}
