// Copyright(c) 2013 ReliaBench. All rights reserved.
// 自动生成文件，再次生成时将覆盖修改内容
package com.nationrel.modules.project.jar.entity.base;

/**
 * @ClassName AbstractbsDocument
 * @Description 文档管理表基类
 * @Author 自动生成
 * @CreateDate 2013-11-6
 * @Version V1.0
 */
public abstract class AbstractBsDocument {

    /** 文档标识 */
    private String documentId;

    /** 文档编码 */
    private String documentCode;

    /** 文档名称 */
    private String documentName;

    /** 文档类型 */
    private String documentTypeId;

    /** 文档拥有者 */
    private String ownerUserId;

    /** 文档描述 */
    private String description;

    /** 文档引用标识 */
    private String referType;

    /** 引用说明 */
    private String referMemo;

    /** 扩展字段1 */
    private String extInfo1;

    /** 扩展字段2 */
    private String extInfo2;

    /** 扩展字段3 */
    private String extInfo3;

    /** 版本编码 */
    private String versionCode;

    /** 版本分组 */
    private String versionSeries;

    /** 版本源标识 */
    private String versionParent;

    /** 版本分组内序号 */
    private Integer versionOrder;

    /** 是否当前版本 */
    private String versionCur;

    /** 周期状态 */
    private String lifeState;

    /** 发布时间 */
    private java.util.Date releaseTime;

    /** 删除状态 */
    private String delFlag;

    /** 创建时间 */
    private java.util.Date insertTime;

    /** 创建者 */
    private String insertUserId;

    /** 创建程序ID */
    private String insertPgmId;

    /** 更新时间 */
    private java.util.Date updateTime;

    /** 更新者 */
    private String updateUserId;

    /** 更新程序ID */
    private String updatePgmId;

    /** 版本号 */
    private Integer versionNo;


    /**
     * @return the documentId
     */
    public String getDocumentId() {
        return documentId;
    }
    /**
     * @param documentId the documentId to set
     */
    public void setDocumentId(String documentId) {
        this.documentId = documentId;
    }
    /**
     * @return the documentCode
     */
    public String getDocumentCode() {
        return documentCode;
    }
    /**
     * @param documentCode the documentCode to set
     */
    public void setDocumentCode(String documentCode) {
        this.documentCode = documentCode;
    }
    /**
     * @return the documentName
     */
    public String getDocumentName() {
        return documentName;
    }
    /**
     * @param documentName the documentName to set
     */
    public void setDocumentName(String documentName) {
        this.documentName = documentName;
    }
    /**
     * @return the documentTypeId
     */
    public String getDocumentTypeId() {
        return documentTypeId;
    }
    /**
     * @param documentTypeId the documentTypeId to set
     */
    public void setDocumentTypeId(String documentTypeId) {
        this.documentTypeId = documentTypeId;
    }
    /**
     * @return the ownerUserId
     */
    public String getOwnerUserId() {
        return ownerUserId;
    }
    /**
     * @param ownerUserId the ownerUserId to set
     */
    public void setOwnerUserId(String ownerUserId) {
        this.ownerUserId = ownerUserId;
    }
    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }
    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }
    /**
     * @return the referType
     */
    public String getReferType() {
        return referType;
    }
    /**
     * @param referType the referType to set
     */
    public void setReferType(String referType) {
        this.referType = referType;
    }
    /**
     * @return the referMemo
     */
    public String getReferMemo() {
        return referMemo;
    }
    /**
     * @param referMemo the referMemo to set
     */
    public void setReferMemo(String referMemo) {
        this.referMemo = referMemo;
    }
    /**
     * @return the extInfo1
     */
    public String getExtInfo1() {
        return extInfo1;
    }
    /**
     * @param extInfo1 the extInfo1 to set
     */
    public void setExtInfo1(String extInfo1) {
        this.extInfo1 = extInfo1;
    }
    /**
     * @return the extInfo2
     */
    public String getExtInfo2() {
        return extInfo2;
    }
    /**
     * @param extInfo2 the extInfo2 to set
     */
    public void setExtInfo2(String extInfo2) {
        this.extInfo2 = extInfo2;
    }
    /**
     * @return the extInfo3
     */
    public String getExtInfo3() {
        return extInfo3;
    }
    /**
     * @param extInfo3 the extInfo3 to set
     */
    public void setExtInfo3(String extInfo3) {
        this.extInfo3 = extInfo3;
    }
    /**
     * @return the versionCode
     */
    public String getVersionCode() {
        return versionCode;
    }
    /**
     * @param versionCode the versionCode to set
     */
    public void setVersionCode(String versionCode) {
        this.versionCode = versionCode;
    }
    /**
     * @return the versionSeries
     */
    public String getVersionSeries() {
        return versionSeries;
    }
    /**
     * @param versionSeries the versionSeries to set
     */
    public void setVersionSeries(String versionSeries) {
        this.versionSeries = versionSeries;
    }
    /**
     * @return the versionParent
     */
    public String getVersionParent() {
        return versionParent;
    }
    /**
     * @param versionParent the versionParent to set
     */
    public void setVersionParent(String versionParent) {
        this.versionParent = versionParent;
    }
    /**
     * @return the versionOrder
     */
    public Integer getVersionOrder() {
        return versionOrder;
    }
    /**
     * @param versionOrder the versionOrder to set
     */
    public void setVersionOrder(Integer versionOrder) {
        this.versionOrder = versionOrder;
    }
    /**
     * @return the versionCur
     */
    public String getVersionCur() {
        return versionCur;
    }
    /**
     * @param versionCur the versionCur to set
     */
    public void setVersionCur(String versionCur) {
        this.versionCur = versionCur;
    }
    /**
     * @return the lifeState
     */
    public String getLifeState() {
        return lifeState;
    }
    /**
     * @param lifeState the lifeState to set
     */
    public void setLifeState(String lifeState) {
        this.lifeState = lifeState;
    }
    /**
     * @return the releaseTime
     */
    public java.util.Date getReleaseTime() {
        return releaseTime;
    }
    /**
     * @param releaseTime the releaseTime to set
     */
    public void setReleaseTime(java.util.Date releaseTime) {
        this.releaseTime = releaseTime;
    }
    /**
     * @return the delFlag
     */
    public String getDelFlag() {
        return delFlag;
    }
    /**
     * @param delFlag the delFlag to set
     */
    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }
    /**
     * @return the insertTime
     */
    public java.util.Date getInsertTime() {
        return insertTime;
    }
    /**
     * @param insertTime the insertTime to set
     */
    public void setInsertTime(java.util.Date insertTime) {
        this.insertTime = insertTime;
    }
    /**
     * @return the insertUserId
     */
    public String getInsertUserId() {
        return insertUserId;
    }
    /**
     * @param insertUserId the insertUserId to set
     */
    public void setInsertUserId(String insertUserId) {
        this.insertUserId = insertUserId;
    }
    /**
     * @return the insertPgmId
     */
    public String getInsertPgmId() {
        return insertPgmId;
    }
    /**
     * @param insertPgmId the insertPgmId to set
     */
    public void setInsertPgmId(String insertPgmId) {
        this.insertPgmId = insertPgmId;
    }
    /**
     * @return the updateTime
     */
    public java.util.Date getUpdateTime() {
        return updateTime;
    }
    /**
     * @param updateTime the updateTime to set
     */
    public void setUpdateTime(java.util.Date updateTime) {
        this.updateTime = updateTime;
    }
    /**
     * @return the updateUserId
     */
    public String getUpdateUserId() {
        return updateUserId;
    }
    /**
     * @param updateUserId the updateUserId to set
     */
    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }
    /**
     * @return the updatePgmId
     */
    public String getUpdatePgmId() {
        return updatePgmId;
    }
    /**
     * @param updatePgmId the updatePgmId to set
     */
    public void setUpdatePgmId(String updatePgmId) {
        this.updatePgmId = updatePgmId;
    }
    /**
     * @return the versionNo
     */
    public Integer getVersionNo() {
        return versionNo;
    }
    /**
     * @param versionNo the versionNo to set
     */
    public void setVersionNo(Integer versionNo) {
        this.versionNo = versionNo;
    }
}
