// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.mapper;

import com.nationrel.modules.project.jar.entity.BsDocumentType;
import com.nationrel.modules.project.jar.rb_common.common.mapper.BaseMapper;

import java.util.List;

/**
 * @ClassName BsDocumentTypeMapper
 * @Description 文档类型表 Mapper接口
 * @Author
 * @CreateDate 2013-11-7
 * @version V1.0
 */
public interface BsDocumentTypeMapper extends BaseMapper<BsDocumentType, String> {

    /**
     * @Title: selectByDeepFirst
     * @Description: 选出深度为1的所有下拉内容
     * @param
     * @return List<BsDocumentType>
     */
    List<BsDocumentType> selectByDeepFirst();

    /**
     * @param string
     * @Title: selectByDeepFirst
     * @Description: 选出深度为2的所有下拉内容
     * @param
     * @return List<BsDocumentType>
     */
    List<BsDocumentType> selectByDeepSecond(String string);

}
