package com.nationrel.modules.project.jar.service;

import com.nationrel.modules.project.jar.dto.input.Rb0300241InitInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300241InitOutput;

import java.util.List;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName Rb0300241InitService
 * @Description TG添加成员初始化业务接口
 * @Author andy
 * @CreateDate 2013-12-24
 */
public interface Rb0300241InitService {

    /**

     * @param input    输入参数
     * @return 操作结果
     * @Title: perform
     * @Description 项目成员列表初始化的业务方法
     */
    List<Map<String, String>> perform(Rb0300241InitInput input) throws Exception;
}
