package com.nationrel.modules.project.jar.service;

import com.nationrel.modules.project.jar.dto.input.Rb0300340InitInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300340InitOutput;

/**
 * @version V1.0
 * @ClassName Rb0400240InitService
 * @Description 任务成员列表初始化的业务接口
 * @Author andy
 * @CreateDate 2014-01-09
 */
public interface Rb0300340InitService {

    /**

     * @param input    输入参数
     * @param output   输出参数
     * @return 操作结果
     * @Title: perform
     * @Description 任务成员列表初始化的业务方法
     */
    String perform(Rb0300340InitInput input, Rb0300340InitOutput output) throws Exception;
}
