package com.nationrel.modules.project.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nationrel.modules.project.dto.PmTaskInfoDto;
import com.nationrel.modules.project.entity.PmTaskInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: t_pm_tg
 * @Author: nationrel
 * @Date:   2024-10-23
 * @Version: V1.0
 */
public interface PmTaskInfoMapper extends BaseMapper<PmTaskInfo> {

    PmTaskInfoDto selectPmProjectInfoById(@Param("projectId") String projectId);

    IPage<PmTaskInfoDto> selectPmTaskInfoList(Page page, @Param("projectId") String projectId);
}
