package com.nationrel.modules.project.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nationrel.modules.project.dto.PmTaskInfoDto;
import com.nationrel.modules.project.entity.PmTaskInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nationrel.modules.project.req.PmProjectEditReq;
import com.nationrel.modules.project.req.PmTaskEditReq;
import com.nationrel.modules.project.req.PmTgEditReq;
import org.apache.ibatis.annotations.Param;

/**
 * @Description: t_pm_tg
 * @Author: nationrel
 * @Date:   2024-10-23
 * @Version: V1.0
 */
public interface IPmTaskInfoService extends IService<PmTaskInfo> {

    IPage<PmTaskInfoDto> selectPmTaskInfoPage(Page page, @Param("projectId") String projectId);

    void updateTgInfo(PmTgEditReq pmtgEditReq);

    void updateTaskInfo(PmTaskEditReq pmTask);

    void updateProjectInfo(PmProjectEditReq pmProjectEditReq) throws Exception;
}
